{{ define "content" }}

<div class="container">
  
  <div class="karmen-info-header">
    <div class="row">
      <div class="col-md-8">
	<h1>Docenti</h1>
      </div>
      <div class="col-md-4">
	
	<div class="btn-group pull-right">
	  
	  <a href="/teachers/add/?{{query "tpl_layout" "base" "tpl_content" "teachers_add_update"}}" class="btn btn-primary">
	    <span class="glyphicon glyphicon-plus" aria-hidden="true"></span>
	    Crea nuovo docente
	  </a>
	   	
      </div>
    </div>
  </div>

  <div class="input-group" style="margin-bottom: 20px">
    <span class="input-group-addon" id="search-query"><span class="glyphicon glyphicon-search"></span></span>
    <input type="text" id="myInput" class="form-control" aria-describedby="search-query">
  </div>
  
  {{if not .}}
  <p>Non c'è alcun elemento da visualizzare</p>
  {{else}}
  <div class="list-group" id="myUL">
    {{range $teacher := .Data}}
    <a class="list-group-item clearfix" href="/teachers/{{$teacher.ID}}?{{query "tpl_layout" "base" "tpl_content" "teachers_show"}}">
      <span class="glyphicon glyphicon-user"></span>
      {{$teacher.Name}} {{$teacher.Surname}}
      <div class="text-right">
	{{range $class := $teacher.Classes}}
	<small>{{$class.Name}}</small>
	{{end}}
	{{range $subject := $teacher.Subjects}}
	<small>{{$subject.Name}}</small>
	{{end}}
      </div>
    </a>
    {{end}}
    {{end}}
  </div>

</div>
{{ end }}
