{{define "base"}}
<!DOCTYPE html>
<html lang="it">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/styles.css" />
    <title>karmen</title>
  </head>
  
  <body>
    
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container-fluid">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="/teachers">karmen</a>
        </div>
        <div id="navbar" class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
	    <li><a href="/school/1?{{query "tpl_layout" "base" "tpl_content" "school_show"}}">Scuola</a></li>
            <li><a href="/teachers?{{query "tpl_layout" "base" "tpl_content" "teachers"}}">Docenti</a></li>
	    <li><a href="/subjects?{{query "tpl_layout" "base" "tpl_content" "subjects"}}">Materie</a></li>
	    <li><a href="/classes?{{query "tpl_layout" "base" "tpl_content" "classes"}}">Classi</a></li>
	    <li><a href="/activities?{{query "tpl_layout" "base" "tpl_content" "activities"}}">Attività</a></li>
          </ul>

	  <ul class="nav navbar-nav navbar-right">
	    <li><a href="/logout">Logout</a></li>
          </ul>

        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="base-template">
      {{ template "content" . }}
    </div>

    <div class="modal fade" id="karmen-modal-remove" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
      <div class="modal-dialog" role="document">
	<div class="modal-content">
	  <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title" id="myModalLabel">Richiesta di conferma eliminazione</h4>
	  </div>
	  <div class="modal-body">
            Stai per eliminare l'elemento. Ne sei sicuro?
	  </div>
	  <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Annulla</button>
            <button type="button" class="btn btn-primary" id="karmen-modal-btn-confirm">Conferma</button>
	  </div>
	</div>
      </div>
    </div>

    <script src="/main.bundle.js"></script>
    
  </body>
</html>
{{end}}
